Subject: Re: PREEMPT problems

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 07 Apr 2004 09:33:21 +1000

>
> I'm back to a non-preempt kernel for the time being, but I'll try to do
> that if I ever feel adventurous again, and provided I find out how to
> get into xmon.

Command-power (if CONFIG_XMON is enabled of course).

"P" -> list of processes, may wrap around though, "P<pid>" (all numbers
are in hex in xmon) to see a specific one

"b" -> backtrace current, "b<ksp>" -> bactrace from the stack at <ksp>

"x" -> exit xmon (you may have a stuck cmd key, just press it until it
goes back to normal).

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/